Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2023 14:43:06 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 15 Apr 2023 11:37:40 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I have no preference either way.  If you think that package-install is
> >> fine, and João has expressed interest in that route as well, we might as
> >> well go that way.
> >
> > OK, then let's do that, and thanks.
> 
> Great, then just to that we are on the same page, what approach do we
> finally want to decide on?
> 
> - User option to enable upgrading built-in packages
> - Prefix argument to enable upgrading built-in packages
> - Always upgrade built-in packages

The first two on emacs-29, the last one on master (if enough people
think it's a good idea; me, I think we should wait for a while before
deciding).

> I argue the last option should be safe.  Semantically it would also make
> sense, since invoking the command can be taken to be take to be an
> explicit request, and if it is not what a user wants (I assume that João
> think this is not probable), then it is easy to revert.
> 
> If we decide that this is not acceptable, then we can fall back onto the
> patch that uses a prefix argument or a user option.

Yes, that is what I think we should install on emacs-29.

Thanks.